import React, { ReactNode } from 'react';
import { AnchorOpenMode, ButtonTypes, ColorStyles, FlattenUnion } from '../../../types';
import { LinkProps } from 'next/link';
export declare type LinkButtonInternalProps = {
    label: string;
    className?: string;
    type: ButtonTypes;
    openMode?: AnchorOpenMode;
    colorStyle?: ColorStyles;
    rel?: string;
    children?: ReactNode;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
};
export declare type NextLinkButtonProps = FlattenUnion<LinkButtonInternalProps | LinkProps>;
/**
 * A basic anchor
 * @param label
 * @param href
 * @param className
 * @param type
 * @param openMode
 * @param colorStyle
 * @param rel
 * @param children
 * @param onClick
 * @constructor
 */
export declare const NextLinkButton: ({ label, as, href, className, type, openMode, colorStyle, rel, children, onClick }: NextLinkButtonProps) => JSX.Element;
