import React, { ReactNode } from 'react';
import { AnchorOpenMode, ButtonTypes, ColorStyles } from '../../../types';
export declare type LinkButtonProps = {
    label: string;
    ariaLabel?: string;
    href: string;
    className?: string;
    ref?: React.LegacyRef<HTMLAnchorElement>;
    type: ButtonTypes;
    icon?: ReactNode;
    openMode?: AnchorOpenMode;
    colorStyle?: ColorStyles;
    rel?: string;
    children?: ReactNode;
    download?: string;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
    onKeyDown?: (e: React.KeyboardEvent<HTMLAnchorElement>) => void;
    onMouseDown?: (e: React.MouseEvent<HTMLAnchorElement>) => void;
};
/**
 * A basic anchor
 * @param label
 * @param ariaLabel
 * @param href
 * @param className
 * @param type
 * @param icon
 * @param openMode
 * @param colorStyle
 * @param rel
 * @param children
 * @param onClick
 * @param onKeyDown
 * @param onMouseDown
 * @param download
 * @constructor
 */
export declare const LinkButton: React.ForwardRefExoticComponent<Pick<LinkButtonProps, "label" | "children" | "className" | "href" | "type" | "colorStyle" | "onClick" | "onKeyDown" | "onMouseDown" | "ariaLabel" | "openMode" | "rel" | "icon" | "download"> & React.RefAttributes<HTMLAnchorElement>>;
